# Create member table for US Historical League
# (creates the table without the membership ID column)

DROP TABLE IF EXISTS member;
CREATE TABLE member
(
	last_name VARCHAR(20) NOT NULL,		/* last name */
	first_name VARCHAR(20) NOT NULL,	/* first name */
	suffix VARCHAR(5) NULL,				/* name suffix (Jr., II, etc.) */
	expiration DATE NULL DEFAULT "0000-00-00",	/* expiration date */
	email VARCHAR(100) NULL,			/* email address */
	street VARCHAR(50) NULL,			/* parts of postal address */
	city VARCHAR(50) NULL,
	state VARCHAR(2) NULL,
	zip VARCHAR(10) NULL,
	phone VARCHAR(20) NULL,				/* phone number */
	interests VARCHAR(255) NULL			/* special interest keywords */
);
